import Vue from 'vue'
import App from './App'
import store from './store'
import Toast from '@/wxcomponents/vant/toast/toast';
import loadSke from '@/components/skeleton/index/index.vue'
Vue.component('loadSke', loadSke)
import {
	goMiniApp,
	goPage,
	clickJumpType,
	wxPay
} from '@/utils/utils.js'

Vue.config.productionTip = false
App.mpType = 'app'

Vue.prototype.goMiniApp = goMiniApp
Vue.prototype.goPage = goPage
Vue.prototype.Toast = Toast
Vue.prototype.clickJumpType = clickJumpType
Vue.prototype.wxPay = wxPay


const app = new Vue({
	store,
	...App
})
app.$mount()
